#pragma once
#include <exception>

class RepoException : public std::exception {
    public:
        RepoException(const char* message);
        const char* what() const noexcept override;
    private:
        const char* _message;
};

class AdminControllerException : public std::exception {
    public:
        AdminControllerException(const char* message);
        const char* what() const noexcept override;
    private:
        const char* _message;
};
